{{ $appSection := "backend" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $appName }}
  annotations:
    acme.cert-manager.io/http01-edit-in-place: "true"
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  ingressClassName: nginx
  rules:
    - host: {{ index .Values $appSection "ingress" "host" }}
      http:
        paths:
          - backend:
              service:
                name: {{ $appName }}
                port:
                  number: {{ index .Values $appSection "port" }}
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - {{ index .Values $appSection "ingress" "host" }}
      secretName: {{ index .Values $appSection "ingress" "host" }}-tls
{{- end }}
